---
lang: en
title: 'API docs: rest.openapispecoptions.endpointmapping'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.openapispecoptions.endpointmapping.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [OpenApiSpecOptions](./rest.openapispecoptions.md) &gt; [endpointMapping](./rest.openapispecoptions.endpointmapping.md)

## OpenApiSpecOptions.endpointMapping property

Mapping of urls to spec forms, by default: <br> { <br> '/openapi.json': {<!-- -->version: '3.0.0', format: 'json'<!-- -->}<!-- -->, <br> '/openapi.yaml': {<!-- -->version: '3.0.0', format: 'yaml'<!-- -->}<!-- -->, <br> }

**Signature:**

```typescript
endpointMapping?: {
        [key: string]: OpenApiSpecForm;
    };
```

